// As Errlop uses Editions, we should use a specific Errlop edition
// As otherwise, the circular reference may fail on some machines
// https://github.com/bevry/errlop/issues/2
import Errlop from 'errlop'
/**
 * Allow code and level inputs on Errlop.
 * We do this instead of a class extension, as class extensions do not interop well on node 0.8, which is our target.
 */
export function errtion(opts, parent) {
	var code = opts.code,
		level = opts.level
	var message = opts.message
	if (code) message = code + ': ' + message
	if (level) message = level + ': ' + message
	var error = new Errlop(message, parent)
	if (code) error.code = code
	if (level) error.level = level
	return error
}
